mixed-port: 7890
allow-lan: false
mode: rule
ipv6: false
log-level: info
external-controller: 0.0.0.0:9090
dns:
  enable: true
  listen: 0.0.0.0:53
  ipv6: false
  default-nameserver:
    - 223.5.5.5
    - 114.114.114.114
  nameserver:
    - 223.5.5.5
    - 114.114.114.114
    - 119.29.29.29
    - 180.76.76.76
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "*.lan"
    - "*.localdomain"
    - "*.example"
    - "*.invalid"
    - "*.localhost"
    - "*.test"
    - "*.local"
    - "*.home.arpa"
    - router.asus.com
    - localhost.sec.qq.com
    - localhost.ptlogin2.qq.com
    - +.msftconnecttest.com
tun:
  enable: true
  stack: system
  auto-route: true
  auto-detect-interface: true
  dns-hijack:
    - 114.114.114.114
    - 180.76.76.76
    - 119.29.29.29
    - 223.5.5.5
    - 8.8.8.8
    - 8.8.4.4
    - 1.1.1.1
    - 1.0.0.1


proxies:
  - type: hysteria
    name: 🇫🇷_FR_法国
    server: 62.210.196.68
    port: 26691
    auth-str: dongtaiwang.com
    protocol: udp
    sni: apple.com
    up: 11 Mbps
    down: 55 Mbps
    skip-cert-verify: true
    alpn:
      - h3
  - type: hysteria
    name: 🇫🇷_FR_法国_1
    server: 62.210.10.186
    port: 35511
    auth-str: dongtaiwang.com
    protocol: udp
    sni: apple.com
    up: "11"
    down: "55"
    skip-cert-verify: true
    alpn:
      - h3
  - type: hysteria
    name: 🇫🇷_FR_法国_2
    server: 62.210.10.186
    port: 50011
    auth-str: dongtaiwang.com
    protocol: udp
    sni: apple.com
    up: 11 Mbps
    down: 55 Mbps
    skip-cert-verify: true
    alpn:
      - h3
  - type: ss
    name: 🇩🇪_DE_德国
    server: 45.87.175.174
    port: 8080
    cipher: chacha20-ietf-poly1305
    password: k1dBOmOB4oqi7Ump37a1bQ
  - type: vmess
    name: 🇫🇷 法国 09
    server: v35.hdacd.com
    port: 30835
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    network: tcp
    cipher: auto
    servername: v35.hdacd.com
  - type: ss
    name: 🇳🇱_NL_荷兰
    server: 178.23.190.238
    port: 443
    cipher: chacha20-ietf-poly1305
    password: uo7EbtqIwgZXXHmMv5LbLcOxptyPlNkh
  - type: ss
    name: 🇺🇸_US_美国_1
    server: 173.244.56.6
    port: 443
    cipher: aes-128-gcm
    password: shadowsocks
  - type: trojan
    name: 🇨🇳_CN_中国
    server: 219.79.214.159
    port: 443
    password: BxceQaOe
    network: tcp
    sni: t.me/ripaojiedian
    skip-cert-verify: true
  - type: ss
    name: 🇷🇺_RU_俄罗斯_1
    server: 194.246.114.101
    port: 443
    cipher: chacha20-ietf-poly1305
    password: HaNqw9pIE4jcx98sg7UQgHeGNTM4R2pk
  - type: vmess
    name: 🇬🇧 英国 - Slough - DigitalOcean, LLC - 1
    server: v36.hdacd.com
    port: 30836
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    network: tcp
    cipher: auto
    servername: v36.hdacd.com
  - type: ss
    name: 🇮🇷_IR_伊朗
    server: 217.60.249.112
    port: 443
    cipher: chacha20-ietf-poly1305
    password: 0eC4ZBvStOgQEzTpCYjWN5
  - type: ss
    name: 🇲🇩_MD_摩尔多瓦
    server: 185.153.197.5
    port: 989
    cipher: aes-256-cfb
    password: f8f7aCzcPKbsF8p3
  - type: ss
    name: 🇺🇸_US_美国_4
    server: 185.47.255.22
    port: 990
    cipher: chacha20-ietf-poly1305
    password: f8f7aCzcPKbsF8p3
  - type: vmess
    name: 🇺🇸 US_188
    server: 216.238.87.47
    port: 27502
    uuid: b8155ce4-7e08-4c40-800f-8671312b7124
    alterId: 0
    network: none
    cipher: auto
  - type: ss
    name: 🇨🇳_CN_中国_2
    server: 103.149.183.80
    port: 8388
    cipher: chacha20-ietf
    password: asd123456
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇫🇷_FR_法国
      - 🇫🇷_FR_法国_1
      - 🇫🇷_FR_法国_2
      - 🇩🇪_DE_德国
      - 🇫🇷 法国 09
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国
      - 🇷🇺_RU_俄罗斯_1
      - 🇬🇧 英国 - Slough - DigitalOcean, LLC - 1
      - 🇮🇷_IR_伊朗
      - 🇲🇩_MD_摩尔多瓦
      - 🇺🇸_US_美国_4
      - 🇺🇸 US_188
      - 🇨🇳_CN_中国_2
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇫🇷_FR_法国
      - 🇫🇷_FR_法国_1
      - 🇫🇷_FR_法国_2
      - 🇩🇪_DE_德国
      - 🇫🇷 法国 09
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国
      - 🇷🇺_RU_俄罗斯_1
      - 🇬🇧 英国 - Slough - DigitalOcean, LLC - 1
      - 🇮🇷_IR_伊朗
      - 🇲🇩_MD_摩尔多瓦
      - 🇺🇸_US_美国_4
      - 🇺🇸 US_188
      - 🇨🇳_CN_中国_2
    url: http://www.gstatic.com/generate_204
    interval: 300
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇫🇷_FR_法国
      - 🇫🇷_FR_法国_1
      - 🇫🇷_FR_法国_2
      - 🇩🇪_DE_德国
      - 🇫🇷 法国 09
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国
      - 🇷🇺_RU_俄罗斯_1
      - 🇬🇧 英国 - Slough - DigitalOcean, LLC - 1
      - 🇮🇷_IR_伊朗
      - 🇲🇩_MD_摩尔多瓦
      - 🇺🇸_US_美国_4
      - 🇺🇸 US_188
      - 🇨🇳_CN_中国_2